﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridBetweenDivs.aspx.cs" Inherits="RadGridBetweenDivs" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>RadGrid between divs</title>
	<style>
		html,
		body,
		form {
			height: 100%;
			margin: 0;
			padding: 0;
			vertical-align: top;
		}

		.header {
			height: 50px;
			padding: 20px;
			background: red;
			color: white;
		}

		.footer {
			height: 20px;
			padding: 20px;
			background: green;
			color: white;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager runat="server" ID="rsm1"></telerik:RadScriptManager>
		
		<script>
			var $ = $telerik.$; //make jQuery available through $ alias

			function pageLoad() {
				setGridHeight(); //set grid's height on page load
			}

			$(window).resize(function(){
				setGridHeight(); //maintain grid's height on window resize
			});
				
			function setGridHeight() {
				var headerHeight = $('.header').outerHeight(),  //header height including margin, padding and borders
					footerHeight = $('.footer').outerHeight(),  //footer height including margin, padding and borders
					windowHeight = $(window).height(),          //window height
					gridObj = $find('<%= RadGrid1.ClientID%>'), //grid's client object

				gridHeight = windowHeight - (headerHeight + footerHeight + 2); //calculate grid's height
				$('#' + gridObj.get_id()).height(gridHeight);                  //set grid's height to the calculated
				gridObj.repaint();                                             //it is required to repaint the grid so it can recalculate its metrics after window resize
			}
		</script>
		
		<div class="header">This is a header</div>

		<telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="true" PageSize="50"
			AllowSorting="true" OnNeedDataSource="RadGrid1_NeedDataSource">
			<MasterTableView Width="100%" TableLayout="Fixed">
			</MasterTableView>
			<ClientSettings>
				<Scrolling AllowScroll="true" UseStaticHeaders="true" />
			</ClientSettings>
		</telerik:RadGrid>

		<div class="footer">This is a footer</div>
	</form>
</body>
</html>
